OpenNMS API 1.2.9

## org.opennms.netmgt.eventd
Class EventdConstants

    java.lang.Object
      org.opennms.netmgt.eventd.EventdConstants

public final class EventdConstants
extends java.lang.Object

This class is a repository for constant, static information concerning Eventd.

Author:
  Sowmya Nataraj , OpenNMS.org

Field Summary
`static java.lang.String` `SQL_DB_HOSTIP_TO_HOSTNAME` The SQL statement necessary to convert the event host into a hostname using the 'ipinterface' table.
`static java.lang.String` `SQL_DB_INS_EVENT` The SQL insertion string used by eventd to store the event information into the database.
`static java.lang.String` `SQL_DB_SVC_TABLE_READ` The SQL statement necessary to read service id and service name into map.
`static java.lang.String` `SQL_DB_SVCNAME_TO_SVCID` The SQL statement necessary to convert the service name into a service id using the distributed poller database.
`static java.lang.String` `SQL_DB_UPDATE_EVENT_COUNT` The SQL string used by eventd to update number of duplicate events in case of duplicate event suppression.

Constructor Summary
`EventdConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_DB_SVC_TABLE_READ

    public static final java.lang.String SQL_DB_SVC_TABLE_READ

  The SQL statement necessary to read service id and service name into map.

  See Also:
    Constant Field Values

### SQL_DB_INS_EVENT

    public static final java.lang.String SQL_DB_INS_EVENT

  The SQL insertion string used by eventd to store the event information into the database.

  See Also:
    Constant Field Values

### SQL_DB_UPDATE_EVENT_COUNT

    public static final java.lang.String SQL_DB_UPDATE_EVENT_COUNT

  The SQL string used by eventd to update number of duplicate events in case of duplicate event suppression.

  See Also:
    Constant Field Values

### SQL_DB_SVCNAME_TO_SVCID

    public static final java.lang.String SQL_DB_SVCNAME_TO_SVCID

  The SQL statement necessary to convert the service name into a service id using the distributed poller database.

  See Also:
    Constant Field Values

### SQL_DB_HOSTIP_TO_HOSTNAME

    public static final java.lang.String SQL_DB_HOSTIP_TO_HOSTNAME

  The SQL statement necessary to convert the event host into a hostname using the 'ipinterface' table.

  See Also:
    Constant Field Values

Constructor Detail

### EventdConstants

    public EventdConstants()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.